/* name:    timestamp-driver.cxx
   author:  Leo Liberti
   purpose: handle timestamps in Unix (driver code)
   source:  GNU C++ 4.1.2
   history: 080218 work started
*/

#include <iostream>
#include "timestamp.h"

int main(int argc, char** argv) {
  using namespace std;
  TimeStamp theTimeStamp;
  theTimeStamp.set(999999999);
  cout << "seconds since 1/1/1970: " << theTimeStamp.get()
       << " corresponding to " << theTimeStamp << endl;
  theTimeStamp.update();
  cout << "seconds since 1/1/1970: " << theTimeStamp.get()
       << " corresponding to " << theTimeStamp << endl;
  return 0;
}
